Delete a Single Experiment User ID Override
Removes a single user ID from the matching userID override bucket on the experiment. Idempotent: returns 200 even when the user ID is not currently overridden.
https://statsigapi.net/console/v1/experiments/{id}/overrides/userID/{userID}Authorizations
STATSIG-API-KEYstringrequiredapiKey (header)
Path parameters
idstringrequiredExperiment name
userIDstringrequiredUser ID to remove from the override
Query parameters
groupIDstringrequiredThe experiment group name the override targets
unitTypestringThe unit type of the override. Defaults to the experiment unit type when omitted.
environmentstringEnvironment the override is scoped to. Omit to target the override that applies to all environments.
Response
application/jsonmessagestringrequiredA simple string explaining the result of the operation.
dataobjectrequiredShow child attributes
overridesobject[]requiredArray of experiment overrides, each specifying type, ID, and group ID.
Show child attributes
type[]stringrequiredid[]stringrequiredThe id of the segment or gate
groupID[]stringrequiredThe experiment group which user will be forced into
environment[]stringOptional environment designation (e.g., production, staging) for the experiment.
userIDOverridesobject[]requiredArray of user ID overrides, specifying which users to force into experiment groups.
Show child attributes
groupID[]stringrequiredThe experiment group the user will be forced into.
ids[]string[]requiredArray of user IDs to be assigned to the specified experiment group.
environment[]stringOptional environment designation (e.g., production, staging) for the experiment.
unitType[]stringOptional type of unit for the experiment, defining the scope of the override.
statusintegerrequiredmessagestringrequiredstatusintegerrequiredmessagestringrequiredWas this helpful?